Subject: bug#47443: closed (Re: [bug#47443] [PATCH 0/6] Update spatialite-gui)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 29 Mar 2021 10:10:02 +0000

Your bug report

#47443: [PATCH 0/6] Update spatialite-gui

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
47443: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=47443
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#47443] [PATCH 0/6] Update spatialite-gui
From: Guillaume Le Vaillant <[email-masked]>
To: Felix Gruber <[email-masked]>
Cc: [email-masked]
Date: Mon, 29 Mar 2021 12:09:16 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Patches pushed as 109f13c0981b8134c98a2326f22cc837ec523712 and
following with a few modifications:

 - libxslxwriter: I replaced the hard-coded "gcc" with "(cc-for-target)",
   and I enabled the tests by adding python-pytest to 'native-inputs'.
 - librasterlite2: I fixed the source URL and I didn't disable the
   test_map_mono test as it worked fine when I built the package.
 - spatialite-gui: I fixed the source URL.
 - libgaiagraphics: I added the explaination for the package removal in
   the commit message.

Thanks.

Subject: [PATCH 0/6] Update spatialite-gui
From: Felix Gruber <[email-masked]>
To: [email-masked]
Cc: Felix Gruber <[email-masked]>
Date: Sun, 28 Mar 2021 10:34:08 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix,

the following patches update spatialite-gui and some of its
dependencies.

I've packaged two new dependencies: libxlsxwriter and librasterlite2.

I've also removed the libgaiagraphics package since it was deprecated
upstream in 2014 in favor of librasterlite2 and after the update of
spatialite-gui there are no more packages that depend on
libgaiagraphics.

Felix Gruber (6):
  gnu: libspatialite: Update dependencies.
  gnu: Add libxlsxwriter.
  licenses: Add Free Art License 1.3.
  gnu: Add librasterlite2.
  gnu: spatialite-gui: Update to 2.1.0-beta1.
  gnu: libgaiagraphics: Remove package.

 gnu/packages/geo.scm  | 132 ++++++++++++++++++++++++++++--------------
 gnu/packages/xml.scm  |  42 ++++++++++++++
 guix/import/utils.scm |   1 +
 guix/licenses.scm     |   7 +++
 4 files changed, 138 insertions(+), 44 deletions(-)

-- 
2.30.2